//定义变量
var ws = null;
wo = null;
var scan = null,
	domready = false;

var from = "";

// H5 plus事件处理
if (window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function plusReady() {
	//只要一个没准备好，就不往下走，继续等如果已经执行过一次，即ws不为空了，也不执行了
	if (ws || !window.plus || !domready) {
		return;
	}
	// 获取窗口对象
	ws = plus.webview.currentWebview();
	wo = ws.opener();

	// 开始扫描
	scan = new plus.barcode.Barcode('bcid');
	scan.onmarked = onmarked;
	scan.start();

	// 显示页面并关闭等待框
	ws.show("pop-in");

	// 获取页面传参，下一步跳转位置
	from = ws.fromPage;
}

// 监听DOMContentLoaded事件
document.addEventListener("DOMContentLoaded", function() {
	domready = true;
	plusReady();
}, false);

// 二维码扫描成功
function onmarked(type, result, file) {
	switch (type) {
		case plus.barcode.QR:
			type = "QR";
			break;
		case plus.barcode.EAN13:
			type = "EAN13";
			break;
		case plus.barcode.EAN8:
			type = "EAN8";
			break;
		default:
			type = "其它";
			break;
	}
	result = result.replace(/\n/g, '');
	scan.close();
	mui.openWindow({
		url:"add_pc.html",
		id:"pc_manage/add_pc.html",
		extras: {
			q_code: result
		}
	});
	//隐藏当前页面的所有元素
//	document.body.offsetWidth = -1;
//	document.body.offsetHeight = -1;
}

// 从相册中选择二维码图片 
function scanPicture() {
	scan.cancel();
	plus.gallery.pick(function(path) {
		
		plus.barcode.scan(path, onmarked, function(error) {
			//mui.alert("无法识别此图片");
			var btn = ["确定"];
			mui.confirm('无法识别此图片', '提示', btn, function(e) {
				if (e.index == 0) {
					scan.start();
				}
			});
		});
	}, function(err) {
		//mui.alert("取消选择");
		var btn = ["确定"];
		mui.confirm('取消选择', '提示', btn, function(e) {
			if (e.index == 0) {
				scan.start();
			}
		});
	});

}

window.addEventListener('bbacck',function(event){
	back();
})

//退回上一页
function back() {
	mui.back();
}
