var pcId = "";
var pcName = "";
var pcClientId = "";
var status = "";
mui.plusReady(function() {
	plus.navigator.closeSplashscreen();
	
	var self = plus.webview.currentWebview();
	pcId = self.pc_id;
	pcName = self.pc_name;
	pcClientId = self.client_id;
	status = self.status;
	var title = document.getElementById("title");
	title.innerHTML = pcName;
})

function openScreen(){
	mui.openWindow({
		url:"img_list.html",
	    extras:{
      		pc_id:pcClientId
    	}
	})
}
function openVideo(){
	mui.openWindow({
		url:"atTime/attime.html",
	    extras:{
      		pc_id:pcClientId
    	}
	})
}
document.getElementById("poweroff").addEventListener('tap', function(e) {
	if(status=="0"){
		mui.alert("当前主机处于离线状态，无法执行关机命令");
		return;
	}
	var btnArray = ['取消', '确认'];
	mui.confirm('确认关机？', '温馨提示', btnArray, function(e) {
		if (e.index == 1) {
			var body = {
			cust_id:PermanentCache.getItem('user_id'),
			pc_client_id:pcClientId,
		}
		sendRequest(body,"pcManage/shutDown",shutOk);
		} else {
		}
	})
	
	
})

function shutOk(data){
	var flag = data.header.return_code;
	if(flag =="true"){
		mui.alert("您的电脑已经完成关机");
	}else{
		mui.alert("sorry，关机失败，请稍后再试或联系管理员解决！");
	}
}

document.getElementById("promptBtn").addEventListener('tap', function(e) {
	if(status=="0"){
		mui.alert("当前主机处于离线状态，无法发送通知消息");
		return;
	}
	e.detail.gesture.preventDefault(); //修复iOS 8.x平台存在的bug，使用plus.nativeUI.prompt会造成输入法闪一下又没了
	var btnArray = ['取消','确定'];
	mui.prompt('请输入你要发送的消息', '消息内容', '消息', btnArray, function(e) {
		if (e.index == 1) {//点击确认后，发送消息给pc
			if(e.value==""){
				mui.alert("不能发送空消息！");
				return;
			}
			var body = {
				msg_content:e.value,
				pc_client_id:pcClientId
			}
			sendRequest(body,"pcManage/sendMsg",sendOk);
			
		} else {
			
		}
	})
});

function sendOk(){
	mui.alert("通知消息发送成功!");
}



document.getElementById("deletePC").addEventListener('tap', function(e) {
	var btnArray = ['取消','删除'];
	mui.confirm('确定删除当前主机？删除后可以在历史中查看', '温馨提示', btnArray, function(e) {
		if (e.index == 1) {
			var body = {
				cust_id:PermanentCache.getItem('user_id'),
				pc_client_id:pcId
			}
			sendRequest(body,"pcManage/deleteDevice",deleteOK);
		} else {
		}
	})
})
function deleteOK(){
	mui.alert("删除主机成功!");
	
	var homePage = plus.webview.getWebviewById('main');
	var list = plus.webview.getWebviewById('pc_manage/pc_list.html');
	var list2 = plus.webview.getWebviewById('pc_history/pc_list.html');
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新
	mui.fire(list,'re222');
//	mui.fire(list2,'refresh');
	mui.fire(homePage,'closePop');
//	mui.back();
//	var ws=plus.webview.currentWebview();
//	plus.webview.close(ws);
	mui.openWindow({
		id:"main"
	})
}